AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AuthenticatorComponentCore
  - AuthenticatorIonicComponent

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _signUpConfig
- amplifyService
- hide

### Accessors

- data
- signUpConfig

### Methods

- ngOnInit
- shouldHide
- subscribe

### Object literals

- authState

## Constructors

### constructor

- new AuthenticatorComponentCore(amplifyService: AmplifyService): AuthenticatorComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:69

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns AuthenticatorComponentCore

## Properties

### _signUpConfig

_signUpConfig: any

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:69

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:70

### hide

hide: string[] = []

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:93

## Accessors

### data

data:

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:96

### signUpConfig

signUpConfig:

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:106

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:74

  #### Returns void

### shouldHide

- shouldHide(comp: any): boolean

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:124

  #### Parameters

  - ##### comp: any

  #### Returns boolean

### subscribe

- subscribe(): void

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:110

  #### Returns void

## Object literals

### authState

authState: object

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:65

### state

state: string = "loading"

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:66

### user

user: null = null

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:67